# Uses of Interface
org.apache.sysds.runtime.compress.plan.IPlanEncode

Packages that use IPlanEncode
Package
Description
org.apache.sysds.runtime.compress.plan

## Uses of IPlanEncode in org.apache.sysds.runtime.compress.plan

Classes in org.apache.sysds.runtime.compress.plan that implement IPlanEncode
Modifier and Type
Class
Description
`class`
`NaivePlanEncode`
Naive implementation of encoding based on a plan.
Methods in org.apache.sysds.runtime.compress.plan that return IPlanEncode
Modifier and Type
Method
Description
`static IPlanEncode`
CompressionPlanFactory.`create(IColIndex[] columnGroups, AColGroup.CompressionType[] type, int k)`
`static IPlanEncode`
CompressionPlanFactory.`nCols(int nCol, int n, AColGroup.CompressionType type, int k)`
`static IPlanEncode`
CompressionPlanFactory.`singleCols(int nCol, AColGroup.CompressionType type, int k)`
`static IPlanEncode`
CompressionPlanFactory.`twoCols(int nCol, AColGroup.CompressionType type, int k)`